/*
 *			debug.h
 * $Id: debug.h,v 1.4 2004/01/12 10:31:15 hiddy Exp $
 * Copyright (C) 2003 Hideaki Imaizumi <hiddy@sfc.wide.ad.jp>
 *               All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef _XP_DEBUG_H_
#define _XP_DEBUG_H_

extern int xp_debug_flags;
#define DEBUG_NDTP		0x1
#define DEBUG_DICTLINK		0x2
#define DEBUG_XOBJECT		0x4
#define DEBUG_XEVENT		0x8
#define DEBUG_BUFFER		0x10
#define DEBUG_XACTION		0x20

#define DEBUG_ALL	(DEBUG_NDTP | DEBUG_DICTLINK | DEBUG_XOBJECT | DEBUG_XEVENT | DEBUG_BUFFER | DEBUG_XACTION)

#define DEBUG_ENABLE(x)		xp_debug_flags |= x
#define DEBUG_DISABLE(x)	xp_debug_flags &= ~x
#define DEBUG_IS_ENABLED(x)	((xp_debug_flags & x) == x)
#endif /* _XP_DEBUG_H_ */
