/*
 *                      stkbase.h
 * $Id: stkbase.h,v 1.14 2004/01/22 19:02:50 hiddy Exp $
 * Copyright (C) 2003 Hideaki Imaizumi <hiddy@sfc.wide.ad.jp>
 *               All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */


#ifndef _STK_BASE_H_
#define _STK_BASE_H_

#include "stk/xobjlist.h"
#include "stk/xobject.h"
#include "stk/xprimitive.h"
#include "stk/xsignal.h"
#include "stk/xactor.h"

/* initialize stk */
typedef void *(*stk_malloc_t)(const char *, size_t, const char *, int);
typedef void (*stk_free_t)(const char *, void *, const char *, int);
void stk_initialize(xrootwindow *, stk_malloc_t, stk_free_t);
void stk_finalize(xrootwindow *);

/* set a toplevel object to stk library before loop */
/*XXX: temporary function untill support multiple window. */
void stk_set(xwindow *, struct xobject *);
void stk_map(void);
void stk_draw(void);
void stk_redraw(void);
void stk_unmap(void);
void stk_stop_loop(void);
void stk_start_loop(void (*before)(void), void (*after)(void));

#endif /* _STK_BASE_H_ */
