/*
 *			wordhist.h
 * $Id: wordhist.h,v 1.3 2004/01/06 11:53:10 hiddy Exp $
 * Copyright (C) 2003 Hideaki Imaizumi <hiddy@sfc.wide.ad.jp>
 *               All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef _XP_WORD_HISTORY_
#define _XP_WORD_HISTORY_

/* word history file locates under $HOME */
#define WHFILENAME 	".xpopdic_histry"

/* lookup word history */
struct whentry {
	const char *whe_word;		/* word */
	int	    whe_count;		/* lookup count */
	time_t	    whe_lasttime;	/* last lookup */
	time_t	    whe_newtime;	/* new time */
	const char *whe_ldatestr;	/* date format for last time */
};

struct whentry *whlookup_word(const char *w);
void 		whlookup_load(void);
void 		whlookup_save(void);
void 		whlookup_fin(void);

#endif /* _XP_WORD_HISTORY_ */
