/*
 *			xpopdic_control.h
 * $Id: xpopdic_control.h,v 1.2 2004/01/21 17:29:12 hiddy Exp $
 * Copyright (C) 2003 Hideaki Imaizumi <hiddy@sfc.wide.ad.jp>
 *               All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
#ifndef _XP_CONTROL_H_
#define _XP_CONTROL_H_

/* structure containing all controls for xpopdic */
struct xpopdic_control {
	/* xwindow */
	xwindow			 *win;		/* window */

	/* all resources */
	struct xpopdic_resource  *xpr;

	/* reusable components */
	struct xpopdic_component *xpc;

	/* variables for dictnode */
	booklist		 books;	  /* books to be looked up */
	struct dictnode		 *dn_cur; /* current dictionary node */

	/* current top xobject */
	xobject 		 *xo_cur;  

	/* top page */
	xobject			 *xo_top;

	/* quit flag for xpopdic */
	int			 do_quit;	
};

struct xpopdic_control *xpcontrol_initialize(xrootwindow *rwp, booklist); 
void 			xpcontrol_finalize(xrootwindow *rwp, 
					   struct xpopdic_control *);
/* main control interfaces */
void xpc_up(struct xpopdic_control *);
void xpc_next(struct xpopdic_control *);
void xpc_prev(struct xpopdic_control *);
void xpc_close(struct xpopdic_control *);
void xpc_search(struct xpopdic_control *, const char *);
void xpc_go_at(struct xpopdic_control *, unsigned int i);
void xpc_go_entry(struct xpopdic_control *, const char *entryid);

/* map window & draw */
void xpc_popup(struct xpopdic_control *);

/* sending signal to some objects */
void xpc_send_status(struct xpopdic_control *, xsignal, const char *);
void xpc_press_quit(struct xpopdic_control *);
void xpc_release_quit(struct xpopdic_control *);
void xpc_press_next(struct xpopdic_control *);
void xpc_release_next(struct xpopdic_control *);
void xpc_press_prev(struct xpopdic_control *);
void xpc_release_prev(struct xpopdic_control *);
void xpc_release_up(struct xpopdic_control *);
void xpc_press_up(struct xpopdic_control *);

#endif /* _XP_CONTROL_H_ */
