/*
 *			bitmap.h
 * $Id: bitmap.h,v 1.1 2004/01/14 15:48:02 hiddy Exp $
 * Copyright (C) 2003 Hideaki Imaizumi <hiddy@sfc.wide.ad.jp>
 *               All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef _XPOPDIC_BITMAP_H__
#define _XPOPDIC_BITMAP_H__

/* simple bitmap structure */
struct bitmap {
	short		bm_width;	/* width of bitmap */
	short 		bm_height;	/* height of bitmap */
	short		bm_hotx;	/* hotstop of x axis */
	short 		bm_hoty;	/* hotstop of y axis */
	unsigned char	*bm_data;	/* bitmap data */
};

/* if these functions fail, it returns NULL pointer. */
struct bitmap *bitmap_load(FILE *fp);
int	       bitmap_store(struct bitmap *, FILE *fp);
struct bitmap *bitmap_parse(char *(*nextline)(void *, char *, int), void *arg);
struct bitmap *bitmap_scale(struct bitmap *, int width, int height);

/* free bitmap */
void bitmap_free(struct bitmap *);

#endif /* _XPOPDIC_BITMAP_H__ */
